<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Settings/test/SettingsManagerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8ae0dd75af039a94f4269584fb8eef13.html">Settings</a></li><li class="navelem"><a class="el" href="dir_99d77744d65312941b5eb82009999c89.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">SettingsManagerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_device_settings_manager_8h_source.html">Settings/DeviceSettingsManager.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_settings_manager_8h_source.html">Settings/SettingsManager.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_setting_observer_interface_8h_source.html">Settings/SettingObserverInterface.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SettingsManagerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_settings_manager_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_settings_2test_2_settings_manager_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_settings_2test_2_settings_manager_test_8cpp" id="_2workplace_2avs-device-sdk_2_settings_2test_2_settings_manager_test_8cpp">
<area shape="rect" id="node6" href="_device_settings_manager_8h.html" title="Settings/DeviceSettingsManager.h" alt="" coords="1195,105,1421,131"/>
<area shape="rect" id="node14" href="_setting_observer_interface_8h.html" title="Settings/SettingObserver\lInterface.h" alt="" coords="94,425,263,464"/>
<area shape="rect" id="node16" href="_settings_manager_8h.html" title="Settings/SettingsManager.h" alt="" coords="1216,179,1400,204"/>
<area shape="rect" id="node7" href="_setting_interface_8h.html" title="Settings/SettingInterface.h" alt="" coords="803,345,981,371"/>
<area shape="rect" id="node12" href="_guarded_value_8h.html" title="AVSCommon/Utils/GuardedValue.h" alt="" coords="389,432,619,457"/>
<area shape="rect" id="node13" href="_set_setting_result_8h.html" title="Settings/SetSettingResult.h" alt="" coords="643,432,826,457"/>
<area shape="rect" id="node19" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1427,425,1603,464"/>
<area shape="rect" id="node26" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1583,252,1759,291"/>
<area shape="rect" id="node21" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1099,512,1275,551"/>
<area shape="rect" id="node23" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1432,599,1608,637"/>
<area shape="rect" id="node28" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1583,339,1759,377"/>
<area shape="rect" id="node29" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1677,425,1891,464"/>
<area shape="rect" id="node32" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="2003,512,2179,551"/>
<area shape="rect" id="node33" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1915,425,2112,464"/>
<area shape="rect" id="node34" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1048,599,1224,637"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_setting_stub.html">alexaClientSDK::settings::test::SettingStub&lt; ValueT &gt;</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Settings stub that just set the value immediately.  <a href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_setting_stub.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_test_observer.html">alexaClientSDK::settings::test::TestObserver&lt; SettingT &gt;</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Just an empty observer.  <a href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_test_observer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_settings_manager_test.html">alexaClientSDK::settings::test::SettingsManagerTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test class.  <a href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_settings_manager_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1settings"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">alexaClientSDK::settings</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1settings_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html">alexaClientSDK::settings::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga2cb73cbbb73e7202c68123e539d288df"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___define.html#ga2cb73cbbb73e7202c68123e539d288df">alexaClientSDK::settings::test::SettingInt</a> = SettingStub&lt; int &gt;</td></tr>
<tr class="separator:ga2cb73cbbb73e7202c68123e539d288df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga342b675b9a4ef816491cc05113e99886"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___define.html#ga342b675b9a4ef816491cc05113e99886">alexaClientSDK::settings::test::SettingString</a> = SettingStub&lt; std::string &gt;</td></tr>
<tr class="separator:ga342b675b9a4ef816491cc05113e99886"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a36afa0486e51fda00c23fe8070b6eaaa"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a36afa0486e51fda00c23fe8070b6eaaa">alexaClientSDK::settings::test::TestSettingId</a> { <a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a36afa0486e51fda00c23fe8070b6eaaaa89dafb51a083e585f47769415f9538ee">alexaClientSDK::settings::test::TEST_ID_INT</a> = 0, 
<a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a36afa0486e51fda00c23fe8070b6eaaaa65f50684f4cb805e8e2894540831df02">alexaClientSDK::settings::test::TEST_ID_STRING</a>
 }</td></tr>
<tr class="separator:a36afa0486e51fda00c23fe8070b6eaaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af39cf9a708f0c83afb014772c38deccf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#af39cf9a708f0c83afb014772c38deccf">alexaClientSDK::settings::test::TEST_F</a> (SettingsManagerTest, test_setExistingSetting)</td></tr>
<tr class="memdesc:af39cf9a708f0c83afb014772c38deccf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test add settings and setting the setting value.  <a href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#af39cf9a708f0c83afb014772c38deccf">More...</a><br /></td></tr>
<tr class="separator:af39cf9a708f0c83afb014772c38deccf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01013561314c7b0351dd020f50289dca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a01013561314c7b0351dd020f50289dca">alexaClientSDK::settings::test::TEST_F</a> (SettingsManagerTest, test_setSettingUnavailable)</td></tr>
<tr class="memdesc:a01013561314c7b0351dd020f50289dca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test set value for setting that hasn't been registered.  <a href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a01013561314c7b0351dd020f50289dca">More...</a><br /></td></tr>
<tr class="separator:a01013561314c7b0351dd020f50289dca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32b3e89c54c51c32ea22d61a61491ff1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a32b3e89c54c51c32ea22d61a61491ff1">alexaClientSDK::settings::test::TEST_F</a> (SettingsManagerTest, test_getExistingSetting)</td></tr>
<tr class="memdesc:a32b3e89c54c51c32ea22d61a61491ff1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test get value for setting that hasn't been registered.  <a href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a32b3e89c54c51c32ea22d61a61491ff1">More...</a><br /></td></tr>
<tr class="separator:a32b3e89c54c51c32ea22d61a61491ff1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac14f23f026f7e93961fc5d1a70752c53"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#ac14f23f026f7e93961fc5d1a70752c53">alexaClientSDK::settings::test::TEST_F</a> (SettingsManagerTest, test_getSettingUnavailable)</td></tr>
<tr class="memdesc:ac14f23f026f7e93961fc5d1a70752c53"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test get value for setting that hasn't been registered.  <a href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#ac14f23f026f7e93961fc5d1a70752c53">More...</a><br /></td></tr>
<tr class="separator:ac14f23f026f7e93961fc5d1a70752c53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5755e4563de420796790fbc07e6be373"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a5755e4563de420796790fbc07e6be373">alexaClientSDK::settings::test::TEST_F</a> (SettingsManagerTest, test_addExistingSetting)</td></tr>
<tr class="memdesc:a5755e4563de420796790fbc07e6be373"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test registering a setting that already exists.  <a href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a5755e4563de420796790fbc07e6be373">More...</a><br /></td></tr>
<tr class="separator:a5755e4563de420796790fbc07e6be373"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab524feaab9841920a5b3edf281ba6282"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#ab524feaab9841920a5b3edf281ba6282">alexaClientSDK::settings::test::TEST_F</a> (SettingsManagerTest, test_addObserver)</td></tr>
<tr class="memdesc:ab524feaab9841920a5b3edf281ba6282"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test addObserver for a setting that exists.  <a href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#ab524feaab9841920a5b3edf281ba6282">More...</a><br /></td></tr>
<tr class="separator:ab524feaab9841920a5b3edf281ba6282"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad386b6c6fd8fbb2763e96086927f610e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#ad386b6c6fd8fbb2763e96086927f610e">alexaClientSDK::settings::test::TEST_F</a> (SettingsManagerTest, test_addObserverFailed)</td></tr>
<tr class="memdesc:ad386b6c6fd8fbb2763e96086927f610e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test addObserver for a setting that doesn't exist.  <a href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#ad386b6c6fd8fbb2763e96086927f610e">More...</a><br /></td></tr>
<tr class="separator:ad386b6c6fd8fbb2763e96086927f610e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98490c9f310a998502d5a56d63490a2e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a98490c9f310a998502d5a56d63490a2e">alexaClientSDK::settings::test::TEST_F</a> (SettingsManagerTest, test_removeObserver)</td></tr>
<tr class="memdesc:a98490c9f310a998502d5a56d63490a2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test addObserver for a setting that exists.  <a href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a98490c9f310a998502d5a56d63490a2e">More...</a><br /></td></tr>
<tr class="separator:a98490c9f310a998502d5a56d63490a2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb0209e67d466c8c2abc5219816c6e1d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#aeb0209e67d466c8c2abc5219816c6e1d">alexaClientSDK::settings::test::TEST_F</a> (SettingsManagerTest, test_removeObserverFailed)</td></tr>
<tr class="memdesc:aeb0209e67d466c8c2abc5219816c6e1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test addObserver for a setting that doesn't exist.  <a href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#aeb0209e67d466c8c2abc5219816c6e1d">More...</a><br /></td></tr>
<tr class="separator:aeb0209e67d466c8c2abc5219816c6e1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdfc37e6c25305e605fc6ad940a9f85f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#acdfc37e6c25305e605fc6ad940a9f85f">alexaClientSDK::settings::test::TEST_F</a> (SettingsManagerTest, test_setExistingStringSetting)</td></tr>
<tr class="memdesc:acdfc37e6c25305e605fc6ad940a9f85f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test manager operations for string setting.  <a href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#acdfc37e6c25305e605fc6ad940a9f85f">More...</a><br /></td></tr>
<tr class="separator:acdfc37e6c25305e605fc6ad940a9f85f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga617d2a3fccfd778f046045cc1549d592"><td class="memItemLeft" align="right" valign="top">constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___define.html#ga617d2a3fccfd778f046045cc1549d592">alexaClientSDK::settings::test::INITIAL_INT_VALUE</a> = 20</td></tr>
<tr class="separator:ga617d2a3fccfd778f046045cc1549d592"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8fa9433245ae7108f8fa697a58119274"><td class="memItemLeft" align="right" valign="top">constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___define.html#ga8fa9433245ae7108f8fa697a58119274">alexaClientSDK::settings::test::NEW_INT_VALUE</a> = -20</td></tr>
<tr class="separator:ga8fa9433245ae7108f8fa697a58119274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa0ff6849cd9d9143ea6933c0a393edf9"><td class="memItemLeft" align="right" valign="top">constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___define.html#gaa0ff6849cd9d9143ea6933c0a393edf9">alexaClientSDK::settings::test::DEFAULT_INT_VALUE</a> = 0</td></tr>
<tr class="separator:gaa0ff6849cd9d9143ea6933c0a393edf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
